Social Connected compatibility with Facebook Login and Graph API

  • Facebook Login and Graph API 1.0, which are used for communication with Facebook by Sitecore Social Connected versions earlier than the one shipped with Sitecore XP 8 rev.150121 (Update-1), are no longer available for Facebook applications created after April 30, 2014, and they are going to be fully deprecated by April 30, 2015. Starting from this date, all calls to Facebook API 1.0 will be considered as API 2.0 calls.

    As the aforementioned versions of Social Connected have not been tested with Facebook API 2.0, some compatibility issues may occur when using Facebook Login and Graph API to work with Facebook.

    Find more information about Facebook API availability:
    https://developers.facebook.com/docs/apps/changelog

    Find more information about Facebook API 2.0:
    https://developers.facebook.com/docs/apps/changelog#v2_0

  • Support for the new Facebook API 2.0 has been implemented in Sitecore Social Connected shipped with Sitecore XP 8 rev.150223 (Update-2).

    It is recommended to upgrade to this version of Sitecore XP to use Social Connected with Facebook.

    At the same time, Sitecore is not currently aware of any major issues caused by compatibility of older Social Connected versions with the new Facebook API, so it may be still possible to use these versions to work with Facebook. However, Sitecore cannot guarantee providing fixes for related compatibility issues in case they require significant changes to the product architecture.

Applies to:

Social Connected 1+, CMS 8.0 Initial Release - 8.0 Update-1

CMS 8.0 Update-2

April 23, 2015
April 23, 2015

Reference number:

31283

Keywords: 

  • Social Connected